ST_Force3DM
Prev | 8.5. Geometry Editors | Next

## Name

ST_Force3DM — Force the geometries into XYM mode.

## Synopsis

`geometry ST_Force3DM(`geometry geomA, float Mvalue = 0.0`)`;

## Description

Forces the geometries into XYM mode. If a geometry has no M component, then a `Mvalue` M coordinate is tacked on. If it has a Z component, then Z is removed

Changed: 2.1.0. Up to 2.0.x this was called ST_Force_3DM.

Changed: 3.1.0. Added support for supplying a non-zero M value.

This method supports Circular Strings and Curves

## Examples

    --Nothing happens to an already 3D geometry
    SELECT ST_AsEWKT(ST_Force3DM(ST_GeomFromEWKT('CIRCULARSTRING(1 1 2, 2 3 2, 4 5 2, 6 7 2, 5 6 2)')));
    				   st_asewkt
    ------------------------------------------------
     CIRCULARSTRINGM(1 1 0,2 3 0,4 5 0,6 7 0,5 6 0)

    SELECT  ST_AsEWKT(ST_Force3DM('POLYGON((0 0 1,0 5 1,5 0 1,0 0 1),(1 1 1,3 1 1,1 3 1,1 1 1))'));

    						  st_asewkt
    ---------------------------------------------------------------
     POLYGONM((0 0 0,0 5 0,5 0 0,0 0 0),(1 1 0,3 1 0,1 3 0,1 1 0))

## See Also

ST_AsEWKT, ST_Force2D, ST_Force3DM, ST_Force3D, ST_GeomFromEWKT

Prev | Up | Next
ST_Force3DZ | Home | ST_Force4D